orte/util/sys_info.h File Reference.TH "orte/util/sys_info.h" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
orte/util/sys_info.h \- Populates global structure with system-specific information. 
.SH SYNOPSIS
.br
.PP
\fC#include 'orte_config.h'\fP
.br

.SS "Typedefs"

.in +1c
.ti -1c
.RI "typedef \fBorte_sys_info_t\fP \fBorte_sys_info_t\fP"
.br
.in -1c
.SS "Functions"

.in +1c
.ti -1c
.RI "OMPI_DECLSPEC int \fBorte_sys_info\fP (void)"
.br
.ti -1c
.RI "OMPI_DECLSPEC int \fBorte_sys_info_finalize\fP (void)"
.br
.in -1c
.SS "Variables"

.in +1c
.ti -1c
.RI "OMPI_DECLSPEC \fBorte_sys_info_t\fP \fBorte_system_info\fP"
.br
.in -1c
.SH "Detailed Description"
.PP 
Populates global structure with system-specific information. 

Notes: add limits.h, compute size of integer and other types via sizeof(type)*CHAR_BIT
.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
